{ final, prev, ... }:
let old = prev.eww;
in final.rustPlatform.buildRustPackage rec {
  pname = "eww";
  version = "d1fde927d2799211f791e7ea01cffb667c4f2b60";

  src = prev.fetchFromGitHub {
    owner = "elkowar";
    repo = "eww";
    rev = "${version}";
    hash = "sha256-deabn4fdNmJsDxkT6bgCbwB354sUHvkuq+DcdWBU6B8=";
  };

  cargoHash = "sha256-4KobWHQswFuej6ejdrhmDkYzZL72TBhCkR+F+hrg4ok=";

  nativeBuildInputs = old.nativeBuildInputs;
  buildInputs = old.buildInputs ++ [ final.libdbusmenu-gtk3 ];

  cargoBuildFlags = old.cargoBuildFlags;
  cargoTestFlags = old.cargoTestFlags;

  RUSTC_BOOTSTRAP = 1;
}
